Bug 203172 - vncserver PCF handling Integer overflow
Summary: vncserver PCF handling Integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vnc   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-18 19:13 UTC by Josh Bressers
Modified: 2013-04-30 23:34 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0685
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:35:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (3.76 KB, patch)
2007-07-04 09:48 UTC, Adam Tkac
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0685 normal SHIPPED_LIVE vnc bug fix update 2008-07-23 15:48:46 UTC

Description Josh Bressers 2006-08-18 19:13:02 UTC
+++ This bug was initially created as a clone of Bug #202469 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:
https://bugs.freedesktop.org/show_bug.cgi?id=7535

-- Additional comment from bressers@redhat.com on 2006-08-14 14:09 EST --
The upstream patch is attachment 134155 [details]


-- Additional comment from bressers@redhat.com on 2006-08-15 20:42 EST --
Created an attachment (id=134276)
Demo font file


This issue also affects the vncserver shipped with RHEL2.1 and RHEL3

Comment 1 Marek Grac 2006-08-23 12:13:45 UTC
Affected code is not in the VNC package

Comment 2 Josh Bressers 2006-08-23 12:35:07 UTC
I can make the vnc server crash by using the demo font file.

Differnt issue perhaps?

Comment 3 Marek Grac 2006-08-24 14:06:34 UTC
My fault, there were two files with same name and I have checked just one of
them.   After applying proposed patch the vncserver works correctly (xfontsel
crashes). 

Comment 4 Josh Bressers 2006-08-25 18:44:48 UTC
I've done some thinking about this and I'm removing the Security keyword.  There
is no way this can be considered a security issue, it's simply a bug.

The only way this is exploitable is if a bad font can be included in the
vncserver font path.  That means that an attacker already has access to the
account in question.

Comment 8 Adam Tkac 2007-07-04 09:48:28 UTC
Created attachment 158511 [details]
Proposed patch

Comment 10 RHEL Product and Program Management 2007-11-29 04:25:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 15 errata-xmlrpc 2008-07-24 19:35:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0685.html


Note You need to log in before you can comment on or make changes to this bug.